QGIS Application - Feature request #10266
transportation network management
2014-05-14 12:02 PM - MRick -

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18698
Description

There was a QGIS plugin developed by a French company that allowed transportation networks management, but development as
ceased and there was no update for 3 years. It will work only with QGIS 1.0 ... But since it is open source, maybe the code could be

useful? Plus it respects French transits norms of classifications.

https://github.com/Potimart/Potimart

Would it be possible to use this as a base to develop a plugin or a QGIS feature to be able to manage transportation networks from it?

I know there is a lot of demand from users to be able to manage transits directly from QGIS, a feature which unavailable actually.

History

#1 - 2014-05-14 10:54 PM - Vincent chourmo

I've started a github repo with some processing script for transit and traffic analysis.

https://github.com/chourmo/QGIS-Transit-tools

It still needs some documentation and i've some other scripts to upload. But It works with QGIS 2.2.

#2 - 2014-05-15 05:04 AM - Giovanni Manghi
- Category deleted (Python plugins)

Vincent chourmo wrote:

I've started a github repo with some processing script for transit and traffic analysis.

https://github.com/chourmo/QGIS-Transit-tools

It still needs some documentation and i've some other scripts to upload. But It works with QGIS 2.2.

adding your scripts to qgis/processing would be very good.

#3 - 2014-06-01 03:44 PM - MRick -

Vincent chourmo wrote:

I've started a github repo with some processing script for transit and traffic analysis.
https://github.com/Potimart/Potimart
https://github.com/chourmo/QGIS-Transit-tools
https://github.com/chourmo/QGIS-Transit-tools

https://github.com/chourmo/QGIS-Transit-tools

It still needs some documentation and i've some other scripts to upload. But It works with QGIS 2.2.

How to access them? | installed them in ~/.qgis2/processing/scripts like written on the GitHub page but | will not find them in QGIS. There are not even
displayed in the Toolbox...
| use the latest QGIS 2.2 on Mac OS X.

#4 - 2014-06-01 11:05 PM - Vincent chourmo

When new scripts are copied in the script folder, you may have to restart qgis.

#5 - 2014-06-02 06:01 AM - MRick -

Vincent chourmo wrote:

When new scripts are copied in the script folder, you may have to restart qgis.

Yes off course, like any other modified settings, but that doesn't answer my question ?

#6 - 2014-06-02 05:02 PM - MRick -

- File Capture_d’écran_2014-06-03_a 01.57.55.png added
- File Capture_d’écran_2014-06-03_a 01.58.41.png added
- File Capture_d’écran_2014-06-03_a_01.58.24.png added
- File Capture_d’écran_2014-06-03_a 01.55.46.png added
- File Capture_d’écran_2014-06-03_a 01.55.31.png added
- File Capture_d’écran_2014-06-03_a 01.58.51.png added

Vincent chourmo wrote:

When new scripts are copied in the script folder, you may have to restart qgis.

So where to access them, they aren't listed... :(

#7 - 2014-06-02 10:51 PM - Vincent chourmo

They are in user scripts : Scripts / Network and Scripts / User script

#8 - 2014-06-03 06:29 AM - Giovanni Manghi
- File 25.png added

MRick - wrote:
https://github.com/chourmo/QGIS-Transit-tools

Vincent chourmo wrote:

When new scripts are copied in the script folder, you may have to restart qgis.

So where to access them, they aren't listed... :(

they show as expected on Win and Linux

#9 - 2014-06-03 08:12 AM - MRick -

Giovanni Manghi wrote:

MRick - wrote:

Vincent chourmo wrote:

When new scripts are copied in the script folder, you may have to restart qgis.

So where to access them, they aren't listed... :(

they show as expected on Win and Linux

So i got them working, but that's wasn't so easy to find how to do while the solution was finally really easy.

| check the file, it looked OK compared to the already installed ones.

| then moved all the files directly with the ones coming with the application, no success.

Then i edited one file and changed the group to another one existing, no success.

So i decided to remove spaces in the names because the installed one have no spaces but underscores, in case of of conflicting file name, no success.
Then i edited one file and copied the content and created a new script to test it and saved it. It worked and got displaying in the options list.

And then | tried to copy a file directly with the one just created and | got it displaying when relaunching QGIS.

So, it seams that under Mac OS, you first need to save a file to the scripts path with the correct group name to enable the others to be able to work. But i
finally got them working.

Thank you.

#10 - 2014-07-16 02:48 PM - MRick -

Vincent chourmo wrote:

I've started a github repo with some processing script for transit and traffic analysis.

https.//github.com/chourmo/QGIS-Transit-tools

It still needs some documentation and i've some other scripts to upload. But It works with QGIS 2.2.

There is a bug when running the scripts, it is the same one that happens with any of the scripts.

Algorithm Transit - make network starting...
https://github.com/chourmo/QGIS-Transit-tools

coercing to Unicode: need string or buffer, QPyNullVariant found See log for more details

#11 - 2014-07-17 05:54 AM - Giovanni Manghi

There is a bug when running the scripts, it is the same one that happens with any of the scripts.

Algorithm Transit - make network starting...

coercing to Unicode: need string or buffer, QPyNullVariant found See log for more details

| cannot replicate this error running any of the QGIS-Transit-tools scripts. Anyway as this scripts are not (yet?) integrated in qgis issues should be reported

in their tracker on github.

#12 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#13 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown
